cdac.medinfo.sdk.hl7282.utils

## Class StandardMethods

- java.lang.Object
- - cdac.medinfo.sdk.hl7282.utils.StandardMethods

-     public class StandardMethods
      extends java.lang.Object

  Contains some general purpose methods used in the project.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `StandardMethods()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `clearStringBuffer(java.lang.StringBuffer strBuffervalue)` Clears StringBuffer contents.
    `static java.lang.String` | `generateUUID()` Generates the unique identifier.
    `static EnumMessageCode` | `getEnumMessageCode(java.lang.String strMessageCode)` Retrieves Enumeration for MessageCode specified in String format.
    `static EnumMessageStructure` | `getEnumMessageStructure(java.lang.String strMessageStructure)` Retrieves Enumeration for Message Structure specified in String format.
    `static EnumTriggerEvent` | `getEnumTriggerEvent(java.lang.String strTriggerEvent)` Retrieves Enumeration for Trigger Event specified in String format.
    `static EnumMessageStructure` | `getExpectedMessageStructure(java.lang.String strMessageCode, java.lang.String strTriggerEvent)` Retrieves Enumeration for Trigger Event specified in String format.
    `static ISegmentKey` | `getSegmentEnum(java.lang.String strSegmentName)` Gives the EnumSegment Name.
    `static java.lang.String` | `getTempDirectoryStorage()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StandardMethods

          public StandardMethods()

  - ### Method Detail

    - #### getTempDirectoryStorage

          public static java.lang.String getTempDirectoryStorage()

    - #### clearStringBuffer

          public static void clearStringBuffer(java.lang.StringBuffer strBuffervalue)

      Clears StringBuffer contents.
      Parameters:
        `strBuffervalue` - value to be clear.

    - #### getEnumMessageStructure

          public static EnumMessageStructure getEnumMessageStructure(java.lang.String strMessageStructure)

      Retrieves Enumeration for Message Structure specified in String format.
      Parameters:
        `strMessageStructure` - string containing Message Structure.
      Returns:
        EnumMessageStructure - enum contains all Message Structure of HL7.

    - #### getEnumMessageCode

          public static EnumMessageCode getEnumMessageCode(java.lang.String strMessageCode)

      Retrieves Enumeration for MessageCode specified in String format.
      Parameters:
        `strMessageCode` -
      Returns:
        EnumMessageCode

    - #### getEnumTriggerEvent

          public static EnumTriggerEvent getEnumTriggerEvent(java.lang.String strTriggerEvent)

      Retrieves Enumeration for Trigger Event specified in String format.
      Parameters:
        `strTriggerEvent` - string containing Trigger Event.
      Returns:
        EnumTriggerEvent - enum contains all Trigger Event of HL7.

    - #### getExpectedMessageStructure

          public static EnumMessageStructure getExpectedMessageStructure(java.lang.String strMessageCode,
                                                         java.lang.String strTriggerEvent)

      Retrieves Enumeration for Trigger Event specified in String format.
      Parameters:
        `strMessageCode` - string containing Message Code.
        `strTriggerEvent` - string containing Trigger Event.
      Returns:
        EnumMessageStructure - enum contains all Message Structure of HL7.

    - #### generateUUID

          public static java.lang.String generateUUID()

      Generates the unique identifier.
      Returns:
        String - unique identifier.

    - #### getSegmentEnum

          public static ISegmentKey getSegmentEnum(java.lang.String strSegmentName)

      Gives the EnumSegment Name.
      Parameters:
        `strSegmentName` - String containing Segment name.
      Returns:
        ISegmentKey - enum contain Segment name.